[Asus 1005PE] hotkeys adjust brightness non-monotonically

Bug #512567 reported by Dave Gluss
122
This bug affects 22 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Invalid
Medium
Unassigned
Nominated for Lucid by Isaac Bowen

Bug Description

Pushing the brightness hotkeys (Fn-F5 and Fn-F6) makes the display brighter, brighter, off, dim, brighter, ...
This is on a new EEEPC 1005PE.

Revision history for this message
Dave Gluss (dgluss) wrote :
Revision history for this message
Isaac Bowen (isaacbowen) wrote :

Can verify this on a new EeePC 1005PE. More than a little odd.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Isaac Bowen (isaacbowen) wrote :

Should mention, I'm running Ubuntu 9.10 x86_64. Attaching the output of lspci/dmesg.

Fn-F5 and Fn-F6 do seem to go back and forth along a consistent set of .. brightness settings, but the set is in no way ordered by scale.

cat'ing /proc/acpi/video/VGA/LCDD/brightness gives the following information, which doesn't seem to change at all when the screen brightness is altered by way of the Fn keys:

levels: 0 3 6 9 12 16 19 21 24 27 29 30 32 33 34 36
current: 21

The screen brightness does change (as does the 'current' value) when I write an integer to that file (e.g. echo 3 > /proc/acpi/video/VGA/LCDD/brightness), though interestingly the brightness for 0 isn't nearly as dim as what can be attained using the Fn keys. Likewise, 36 seems to be a touch less bright than the greatest possible brightness from the Fn keys.

Revision history for this message
Isaac Bowen (isaacbowen) wrote :

Should mention, I'm running Ubuntu 9.10 x86_64. Attaching the output of lspci/dmesg.

Fn-F5 and Fn-F6 do seem to go back and forth along a consistent set of .. brightness settings, but the set is in no way ordered by scale.

cat'ing /proc/acpi/video/VGA/LCDD/brightness gives the following information, which doesn't seem to change at all when the screen brightness is altered by way of the Fn keys:

levels: 0 3 6 9 12 16 19 21 24 27 29 30 32 33 34 36
current: 21

The screen brightness does change (as does the 'current' value) when I write an integer to that file (e.g. echo 3 > /proc/acpi/video/VGA/LCDD/brightness), though interestingly the brightness for 0 isn't nearly as dim as what can be attained using the Fn keys. Likewise, 36 seems to be a touch more dim than the greatest possible brightness from the Fn keys.

Revision history for this message
Isaac Bowen (isaacbowen) wrote :

Bah, sorry about that. Here's dmesg.

Revision history for this message
Dave Gluss (dgluss) wrote : Re: [Bug 512567] Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

In my case (32 bit) and in the tarball I enclosed with the original bug
report, the current brightness reported by cat'ing
/proc/acpi/video/VGA/LCDD/brightness does change; see the typescript.

DG

On Wed, Jan 27, 2010 at 11:25 AM, Isaac Bowen <email address hidden> wrote:

> Bah, sorry about that. Here's dmesg.
>
> ** Attachment added: "dmesg"
> http://launchpadlibrarian.net/38463282/dmesg
>
> --
> hotkeys adjust brightness non-monotonically on EEEPC 1005PE
> https://bugs.launchpad.net/bugs/512567
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
olofsj (olofshopping) wrote : Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

Adding "acpi_osi=Linux" to the GRUB_CMDLINE_LINUX_DEFAULT parameter in /etc/default/grub makes the hotkeys adjust the brightness monotonically on my 1005pe. I have also updated my bios to version 0706, but I don't think this made a difference.

In /etc/default/grub I have:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=Linux"

Revision history for this message
Isaac Bowen (isaacbowen) wrote :

That might be it. The keys still don't trigger any dbus messages (so no notify-osd action), and the brightness applet in gnome-panel still scales erratically, but at least the keys work.

Revision history for this message
Dave Gluss (dgluss) wrote : Re: [Bug 512567] Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

That worked for me!!! Thanks. I'd downloaded the kernel sources and was
about to start mucking about; but the BEST program is one you don't have to
write.

Of course, after changing the file you cd to /boot/grub and run:
$ sudo bash
# grub-mkconfig > grub.cfg
^D
$

DG

Revision history for this message
dozeasaur (adozeasaurus) wrote : Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

Thanks, it worked for me too!!

Just FYI: I installed Ubuntu 9.10 x64 onto my 1005pe from the Alternate CD and avoided most of the problems i have read about (keyboard, web cam, etc).

Anyway, i wanted to add that "acpi_osi=Linux" did NOT work for me until I updated my BIOS to 0706.
My factory BIOS was in the 0400's.

1. I installed Ubuntu 9.10 x64 Alt and noticed the brightness key issue.
2. I tried "acpi_osi=Linux", but it did not work
3. I updated my BIOS and then the keys worked properly. (i don't think i applied "acpi_osi=Linux" again after BIOS update, but i might have)

As a test, I tried a fresh install of 9.10 x64 Alt with the new 0706 BIOS but without applying "acpi_osi=Linux" to see if the BIOS update alone would fix the issue. But, it did not. I had to apply "acpi_osi=Linux".

So, the keys are working :) but the brightness slider in 'System->Preferences->Power Management' does nothing now. I can live with that.

Thanks everyone!

Revision history for this message
James Graves (jgraves) wrote :

The "acpi_osi=Linux" option is not working too well for me.

Just purchased a Eee PC 1005PEB-RRED01S (the red one with the 250GB SATA HD). Installed UNR 9.10 alongside Win7. I also just upgraded the BIOS to 0706 (was 0604).

Using the hotkeys, I am able to adjust the brightness level of the backlight in a monotonic fashion (though not really linear, but that is a minor quibble).

However, after adjusting the brightness, the backlight will sometimes go dim after a few seconds. If I adjust it back to a normal level, it will sometimes go back to the dim setting again.

I have disabled Gnome option to automatically dim the screen, because at first I thought that was the problem, but that didn't change the above behavior.

Without the "acpi_osi=Linux" I definitely do not see this behavior, the backlight adjustment is again non-monotonic, but the backlight brightness does not change unexpectedly without user input.

Revision history for this message
Dave Gluss (dgluss) wrote : Re: [Bug 512567] Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

I also see the "mind of its own" brightness changes. It doesn't bother me
as much as the "hit the brighter key and the display turns off" behavior I
saw before, but it ought to be fixed too. I hadn't had time to research it
so I just thought it was the power daemon and could be turned off...if not
that's another bug.

As I said before, I'm running 10.04NBR, and it just climbed a plateau to
real useability this last month. Now saved settings work, and it's just
like a real computer. There are about 50MB of downloads a day to keep it
current.

DG

On Sat, Feb 20, 2010 at 1:53 PM, James Graves <email address hidden>wrote:

> The "acpi_osi=Linux" option is not working too well for me.
>
> Just purchased a Eee PC 1005PEB-RRED01S (the red one with the 250GB SATA
> HD). Installed UNR 9.10 alongside Win7. I also just upgraded the BIOS
> to 0706 (was 0604).
>
> Using the hotkeys, I am able to adjust the brightness level of the
> backlight in a monotonic fashion (though not really linear, but that is
> a minor quibble).
>
> However, after adjusting the brightness, the backlight will sometimes go
> dim after a few seconds. If I adjust it back to a normal level, it will
> sometimes go back to the dim setting again.
>
> I have disabled Gnome option to automatically dim the screen, because at
> first I thought that was the problem, but that didn't change the above
> behavior.
>
> Without the "acpi_osi=Linux" I definitely do not see this behavior, the
> backlight adjustment is again non-monotonic, but the backlight
> brightness does not change unexpectedly without user input.
>
> --
> hotkeys adjust brightness non-monotonically on EEEPC 1005PE
> https://bugs.launchpad.net/bugs/512567
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Isaac Bowen (isaacbowen) wrote : Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

With the acpi_osi option in place, it seems like the brightness is reset to the last /known/ level after x seconds of no user input (mousemove, keystroke). Normally wouldn't be a problem, but now that the brightness set by the function keys is done independently of the power daemon (or whatever), this is more than a little irritating. My workaround has been to have a script running in the background (uses xdotool) that moves the cursor by 1px and back every ten seconds - clumsy, but it's a functioning workaround for now.

Revision history for this message
olofsj (olofshopping) wrote :

I also have the problem with constant dimming. When I switched of all the dimming settings in gconf-editor under apps > gnome-power-manager > backlight (there are some settings that are only available here, and not from the settings applet) this no longer happens. It still happens after resume from suspend, but I can live with it.

I suspect it's related to this other bug, but I haven't been able to confirm it:
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/392122

Revision history for this message
James Graves (jgraves) wrote :

OK, after the clarifications from Isaac Bowen and olofsj, things are working acceptably for the Fn+hotkey adjustment of the brightness.

It seems what I was seeing was that hidden setting of the gnome-power-manager mentioned by olofsj. Without the "acpi_osi=Linux" boot option, the 'dim' setting of gnome-power-manager is fairly bright, so I didn't notice when that kicked in. However, with the "acpi_osi=Linux" boot option, the 'dim' setting is actually dim, and that was quite noticeable. And annoying.

So, to recap, Eee PC users really ought to upgrade to at least the 0706 BIOS version using the Asus update utility shipped with the netbook (that really requires its own documentation because the user interface is peculiar). Then they can add the "acpi_osi=Linux" to the grub configuration as described above by olofsj and Dave Gluss above. And then they will need to edit the hidden settings of gnome-power-demon as described by olofsj. Whew!

Revision history for this message
Dave Gluss (dgluss) wrote : Re: [Bug 512567] Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

Just to review the procedure for flashing the BIOS:
1) get 1005P-ASUS-0706.ZIP from http://support.asus.com/download
2) extract 1005P-ASUS-0706.ROM to a USB stick, being sure to RENAME IT
    1005P.ROM
3) power-on the EEPC1005PE while holding down ALT and tapping F2 repeatedly.

The update then occurs automatically.

On Mon, Feb 22, 2010 at 7:32 AM, James Graves <email address hidden>wrote:

> OK, after the clarifications from Isaac Bowen and olofsj, things are
> working acceptably for the Fn+hotkey adjustment of the brightness.
>
> It seems what I was seeing was that hidden setting of the gnome-power-
> manager mentioned by olofsj. Without the "acpi_osi=Linux" boot option,
> the 'dim' setting of gnome-power-manager is fairly bright, so I didn't
> notice when that kicked in. However, with the "acpi_osi=Linux" boot
> option, the 'dim' setting is actually dim, and that was quite
> noticeable. And annoying.
>
> So, to recap, Eee PC users really ought to upgrade to at least the 0706
> BIOS version using the Asus update utility shipped with the netbook
> (that really requires its own documentation because the user interface
> is peculiar). Then they can add the "acpi_osi=Linux" to the grub
> configuration as described above by olofsj and Dave Gluss above. And
> then they will need to edit the hidden settings of gnome-power-demon as
> described by olofsj. Whew!
>
> --
> hotkeys adjust brightness non-monotonically on EEEPC 1005PE
> https://bugs.launchpad.net/bugs/512567
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
jens_acamedia (commercial-acamedia) wrote : Re: hotkeys adjust brightness non-monotonically on EEEPC 1005PE

Just to review one more time so that all steps are in here for this workaround (I hope it will be fixed properly for 10.04 so that integration with power-manager works)

1. Make sure you are on BIOS 0706. If not:
Just to review the procedure for flashing the BIOS:
1) get 1005P-ASUS-0706.ZIP from http://support.asus.com/download
2) extract 1005P-ASUS-0706.ROM to a USB stick, being sure to RENAME IT
    1005P.ROM
3) power-on the EEPC1005PE while holding down ALT and tapping F2 repeatedly.
The update then occurs automatically.

2. Change this line in /etc/default/grub by doing
sudo nano /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="acpi_osi=Linux"

Then:
sudo -s
cd /boot/grub
grub-mkconfig > grub.cfg

3. In order to keep your brightness and adjust it manually:
disable both "enable" and "batter_reduce" under apps > gnome-power-manager > backlight
in gconf-editor (which you start by alt-f2 and typing gconf-editor)

Revision history for this message
Isaac Bowen (isaacbowen) wrote :

Also problematic in Lucid, but the same "fix" works.

Revision history for this message
BlackSir (blacksir) wrote :

Seems like bug #512567 duplicate of this bug

Revision history for this message
BlackSir (blacksir) wrote :

I think I found a little bit better solution: instead of disabling features of gnome-power-manager (step #3 in comment #17) just add "acpi_backlight=vendor" to the same line of grub config (and don't forget to do "sudo update-grub2" after that). Works for my Asus Eee PC 1005PE (even the panel with brightness slider appears while pressing Fn+F5/F6 after that).

P.S. I found solution (originally for Gateway netbook) here: http://ubuntuforums.org/showthread.php?t=1331709
P.P.S. Original solution suggest adding "nomodeset" too, but in my case that severely crippled video performance, so I've just removed it and everything works fine

Revision history for this message
BlackSir (blacksir) wrote :

Correction to post #19:
bug #513921

Revision history for this message
Swâmi Petaramesh (swami-petaramesh) wrote :

On Asus EeePC 1005PE, BIOS version: 0901 (03/04/2010), Kubuntu Lucid Beta 1, KDE environment :

- With "normal" default boot command, LCD brigthness keys [Fn]-[F5] and [Fn]-[F6] behave completely erratically, which is a real pain.

- Booting with "acpi_osi=Linux", LCD brigthness keys behave properly (in a linear fashion) but it seems that KDE doesn't get information about brightness, i.e. LCD brigthness key don't result in a "level bar" appearing on screen when used.
- Also "cat /proc/acpi/video/VGA/LCDD/brightness" shows a "current" level that doesn't change even when brightness is actually modified by use of the hotkeys.

- Booting with "acpi_osi=Linux acpi_backlight=vendor" options as BlackSir suggests (thanks BlackSir !) make both LCD brigthness keys behave properly (in a linear fashion) and now KDE is aware of them (using the hotkeys now make the "brightness level bar" pop-up on screen).
- OTOH I now have :
# cat /proc/acpi/video/VGA/LCDD/brightness
<not supported>

But I guess I don't care about that "<not supported>" as long as everything now actually works ;-)

Rolf Leggewie (r0lf)
summary: - hotkeys adjust brightness non-monotonically on EEEPC 1005PE
+ hotkeys adjust brightness non-monotonically on new Asus pinetrail
+ netbook (1001P, 1005P, 1005PE)
Rolf Leggewie (r0lf)
summary: hotkeys adjust brightness non-monotonically on new Asus pinetrail
- netbook (1001P, 1005P, 1005PE)
+ netbooks (1001P, 1005P, 1005PE)
Rolf Leggewie (r0lf)
Changed in linux (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-10.04
Revision history for this message
Rolf Leggewie (r0lf) wrote : Re: hotkeys adjust brightness non-monotonically on new Asus pinetrail netbooks (1001P, 1005P, 1005PE)

reversing dupe-master relation with bug 513921. Adding upstream tickets seems to be currently broken in Launchpad and as such the other ticket has more relevant information.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Dave Gluss, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - hotkeys adjust brightness non-monotonically on new Asus pinetrail
- netbooks (1001P, 1005P, 1005PE)
+ [Asus 1005PE] hotkeys adjust brightness non-monotonically
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Dave Gluss (dgluss) wrote :

Unfortunately my 1005PE died a while ago, so I have no way of verifying the bug at this point. Besides, the Asus BIOS update fixed it. So I'd vote for closing the bug.

Revision history for this message
Swâmi Petaramesh (swami-petaramesh) wrote :

It's okay on my 1005PE as far as I can tell.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Dave Gluss, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/512567/comments/25 regarding this being fixed with a BIOS update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments